Subject: Re: [bitcoin-dev] A BIP proposal for segwit addresses

From: Andreas Schildbach <[email-masked]>
Date: Tue, 21 Mar 2017 17:16:30 +0100

Why use Base 32 when the QR code alphanumeric mode allows 44 characters?
In Bitcoin Wallet, I use Base 43 (alphabet:
"0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ$*+-./:") for most efficient QR
code encoding. I only leave out the space character because it gets
replaced by "+" in URLs.

On 03/20/2017 10:35 PM, Pieter Wuille via bitcoin-dev wrote:
> Hello everyone,
> 
> I'd like to propose a new BIP for native segwit addresses to replace
> BIP 142. These addresses are not required for segwit, but are more
> efficient, flexible, and nicer to use.
> 
> The format is base 32 and uses a simple checksum algorithm with strong
> error detection properties. Reference code in several languages as
> well as a website demonstrating it are included.
> 
> You can find the text here:
> https://github.com/sipa/bech32/blob/master/bip-witaddr.mediawiki
> 
> Cheers,
>